/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workreceiptssettle.entity;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.workinvoicedetail.entity.WorkInvoiceDetail;
import org.springframework.format.annotation.NumberFormat;

/**
 * 收入结算Entity
 * @author ssrh
 * @version 2018-06-28
 */
public class WorkReceiptsSettleDetail extends DataEntity<WorkReceiptsSettleDetail> {
	
	private static final long serialVersionUID = 1L;
	private String settleId;		// 结算ID
	private WorkInvoiceDetail invoice;		// 发票ID
	private String status;		// 确认状态，0:未确认、1:已确认
	private String settlePct;		// 结算比例
    @NumberFormat(style = NumberFormat.Style.CURRENCY)
	private Double settleAmt;		// 结算金额
	private Date settleDate;		// 确认日期
	
	public WorkReceiptsSettleDetail() {
		super();
	}

	public WorkReceiptsSettleDetail(String id){
		super(id);
	}

	@ExcelField(title="结算ID", align=2, sort=1)
	public String getSettleId() {
		return settleId;
	}

	public void setSettleId(String settleId) {
		this.settleId = settleId;
	}
	
	@ExcelField(title="确认状态，0:未确认、1:已确认", align=2, sort=3)
	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}
	
	@ExcelField(title="结算比例", align=2, sort=4)
	public String getSettlePct() {
		return settlePct;
	}

	public void setSettlePct(String settlePct) {
		this.settlePct = settlePct;
	}
	
	@ExcelField(title="结算金额", align=2, sort=5)
	public Double getSettleAmt() {
		return settleAmt;
	}

	public void setSettleAmt(Double settleAmt) {
		this.settleAmt = settleAmt;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ExcelField(title="确认日期", align=2, sort=6)
	public Date getSettleDate() {
		return settleDate;
	}

	public void setSettleDate(Date settleDate) {
		this.settleDate = settleDate;
	}

    public WorkInvoiceDetail getInvoice() {
        return invoice;
    }

    public void setInvoice(WorkInvoiceDetail invoice) {
        this.invoice = invoice;
    }
}